function createFunctionBlockFromSupremicaAutomaton(fileName, automatonName)
% CREATEFUNCTIONBLOCKFROMSUPREMICAAUTOMATON  Creates the function block implementing the
% supervisor model designed in Supremica and saved as .wmod file. 
% The SCL file is saved as SUPERVISOR.SCL in the current folder.
%
%   Syntax:
%   createFunctionBlockFromSupremicaAutomaton(fileName, automaonName), where:
% * fileName is the .wmod file containing the automaton to be implemented;
% * automatonName is the name given to the automaton in Supremica.
% 
init;
[ G,mapN,mapE,~ ]=getGraphFromSupremica( fileName, automatonName );
createFunctionBlock(G,mapN,mapE,false);

end

