function [ s ] = functionBlockWriter( initWriterFunc,cycleWriterFunc,firstTimeFinalizerWriterFunc,blockName)
% FUNCTIONBLOCKWRITER  Creates a function block using the functions given
% in input.
%
%   Syntax:
%   functionBlockWriter( initWriterFunc,cycleWriterFunc,firstTimeFinalizerWriterFunc,blockName), where:
% * initWriterFunc generates the SCL code that defines I/O variables and local
% variables; it also handles their initialization at first scan cycle;
% * cycleWriterFunc generates the SCL code that must be executed at each
% scan cycle;
% * firstTimeFinalizerWriterFunc generates the SCL code that needs to be
% executed at the end of the first scan cycle;
% * blockName is the name given to the function block.
% 
    s='';
    
    s=insertLine(s,['FUNCTION_BLOCK ',blockName]);
    s=insertLine(s,initWriterFunc());
    s=insertLine(s,cycleWriterFunc());
    s=insertLine(s,firstTimeFinalizerWriterFunc());    
    s=insertLine(s,'END_FUNCTION_BLOCK');
end

