function [ s ] = initWriter(G,mapN,mapE, initStateFunc,defineVars,defineExtraOutputVars,defineEventDetectors,defineExtraInputVars)
% INITWRITER  Creates the SCL code that that defines I/O variables and local
% variables; it also handles their initialization at first scan cycle. This
% is accomplished through the functions given as input

    s='';

    %init input var

    s=insertLine(s,'VAR_INPUT');
    s=insertLine(s,'(* HAPPENED EVENTS *)');
    s=insertLine(s,defineInputs(mapE));
    s=insertLine(s,defineExtraInputVars());
    s=insertLine(s,'END_VAR');
    
    %init output var
    
    s=insertLine(s,'VAR_OUTPUT');
    s=insertLine(s,'(* ENABLERS *)');
    s=insertLine(s,defineOutputs(mapE));
    s=insertLine(s,defineExtraOutputVars());
    s=insertLine(s,'END_VAR');
    
    %init trigger and state var
    
    s=insertLine(s,'VAR');

    s=insertLine(s,defineEventDetectors( mapE ));
    s=insertLine(s,defineVars(G,mapN,mapE));
    
    s=insertLine(s,'(*FIRST TIME VAR*)');
    s=insertLine(s,defineBool('firstTime','true'));
    
    s=insertLine(s,'END_VAR');
    
    s=insertLine(s,'BEGIN');
    %do one time initialization%
    s=insertLine(s,['IF ',getFirstTimeVarName(),' THEN']);
    s=insertLine(s,initStateFunc(G,mapN,mapE));
    s=insertLine(s,'END_IF;');
end

