function [ s ] = defineVarsGraph( G,mapN,mapE )
% DEFINEVARSGRAPH  Creates the SCL code that defines the variables needed by
% the algorithm.
% 
%
%   Syntax:
%   defineVarsGraph( G,mapN,mapE ), where:
% * G is the model structure;
% * mapN is the map associating to each numbered place/state a string;
% * mapE is the map associating to each numbered transition/event a string;
% 
    s='';
    s=insertLine(s,'(* CONTINUE SEARCH VAR *)');

    s=insertLine(s,defineContinueSearchVar());
    
    s=insertLine(s,'(* STATE BOOL VARS *)');

    for i=1:length(mapN)
        s=insertLine(s,defineBool(getStateName(i,mapN),'false'));
    end
    
    
end

