function [s] = initializeGenericGraph(  G,mapN,mapE,getOutputVarNameFunc )
% INITIALIZEGENERICGRAPH  Creates the SCL code that initializes the
% automaton to its initial state.
% 
%
%   Syntax:
%   initializeGenericGraph(  G,mapN,mapE,getOutputVarNameFunc ), where:
% * G is the model structure;
% * mapN is the map associating to each numbered place/state a string;
% * mapE is the map associating to each numbered transition/event a string;
% * getOutputVarNameFunc function that returns the name of the variable associated to the i-th enabler.
% 
    s=updateStateGenericGraph( G.graph,mapN,mapE, G.initStateID, true,getOutputVarNameFunc );
end

