function [ s ] = updateStateGenericGraph( G,mapN,mapE, stateID, enable,getOutputVarNameFunc )
% UPDATESTATEGENERICGRAPH  Creates the SCL code that enables (enable=1) or
% disables (enable=0) the state identified by stateID. The admissible
% events in stateID are also enabled (enable=1) or disabled (enable=0).
% 
%
%   Syntax:
%   updateStateGenericGraph(G,mapN,mapE, stateID, enable,getOutputVarNameFunc), where:
% * G is the model structure;
% * mapN is the map associating to each numbered place/state a string;
% * mapE is the map associating to each numbered transition/event a string;
% * stateID the state ID (the value associated in mapN to an indexed state)
% of the state to be enabled or disabled;
% * getOutputVarNameFunc function that returns the name of the variable associated to the i-th enabler.
% 
    s='';
    
    s=insertLine(s,setVar(getStateName(stateID,mapN),enable));

    outArcs = getAdmissibleEventsFromState(G,stateID);
    for k=1:length(outArcs)
       s=insertLine(s,setVar(getOutputVarNameFunc(outArcs(k),mapE),enable));
    end
    
end

