function [ s ] = defineVarsPN( G,mapN,mapE )
% DEFINEVARSPN  Creates the SCL code that defines the variables needed by
% the algorithm.
% 
%
%   Syntax:
%   defineVarsPN( G,mapN,mapE ), where:
% * G is the model structure;
% * mapN is the map associating to each numbered place/state a string;
% * mapE is the map associating to each numbered transition/event a string;
% 
    nPlaces=getNumPl(G);
    nTr = getNumTr(G);
    s='';
    s=insertLine(s,[getMarkingName,' : ARRAY [1..',num2str(nPlaces) ,'] OF INT;']);
    s=insertLine(s,[getPREName,' : ARRAY ',...
        '[1..',num2str(nPlaces) ,',1..',num2str(nTr) ,'] OF INT ;']);
    s=insertLine(s,[getPOSTName,' : ARRAY ',...
        '[1..',num2str(nPlaces) ,',1..',num2str(nTr) ,'] OF INT ;']);
    s=insertLine(s,[getTempVarName(),' : BOOL;']);
    s=insertLine(s,[getCountVarName(),' : INT;']);
    
end

