function [s] = initializePN(  G,mapN,mapE )
% INITIALIZEPN  Creates the SCL code that initializes the pre,
% post and m0 matrices associated to the PN.
% 
%
%   Syntax:
%   initializePN(G,mapN,mapE), where:
% * G is the model structure;
% * mapN is the map associating to each numbered place/state a string;
% * mapE is the map associating to each numbered transition/event a string;
% 
s='';
    for i=1:length(mapN)
        if(G.M0(i)>0)
            s=insertLine(s,[getMarkingName,'[',num2str(i),'] := ',num2str(G.M0(i)),';']);
        end
        for j=1:length(mapE)
            if(G.PRE(i,j)>0)
                s=insertLine(s,[getPREName,'[',num2str(i),',',num2str(j),'] := ',num2str(G.PRE(i,j)),';']);
            end
            if(G.POST(i,j)>0)
                s=insertLine(s,[getPOSTName,'[',num2str(i),',',num2str(j),'] := ',num2str(G.POST(i,j)),';']);
            end
        end
    end
end

